<template>
  <div class="main_root">
    <div class="search_header">
      <Input
        v-model="searchForm.regionName"
        placeholder="请输入设备、学生姓名、账号"
        search
        @on-search="searchList()"
        style="width: 200px"
      />
    </div>
    <div class="table_wrap">
      <Table :columns="columns" :data="searchForm.list"> </Table>
    </div>
    <div class="page_wrap">
      <Page
        :transfer="true"
        :total="searchForm.total"
        :current="searchForm.page"
        :page-size="searchForm.size"
        :page-size-opts="[10, 20, 40, 60]"
        @on-change="pageChange"
        @on-page-size-change="pageSizeChange"
        show-total
        show-sizer
      ></Page>
    </div>
  </div>
</template>

<script>
import { region_list_qy } from "@/api/region";
export default {
  data() {
    return {
      searchForm: {
        regionName: "",
        page: 1,
        size: 10,
        list: [],
        total: 0
      },
      columns: [
        {
          title: "序号",
          align: "center",
          width: 70,
          render: (h, params) => {
            return h(
              "span",
              params.index +
                (this.searchForm.page - 1) * this.searchForm.size +
                1
            );
          }
        },
        {
          title: "设备名称",
          key: "regionName",
          align: "center"
        },
        {
          title: "登录名",
          key: "createname",
          width: 140,
          align: "center"
        },
        {
          title: "学生姓名",
          key: "createtime",
          width: 190,
          align: "center"
        },
        {
          title: "学校名称",
          key: "updatename",
          width: 140,
          align: "center"
        },
        {
          title: "最后登录时间",
          slot: "actionSlot",
          width: 220,
          align: "center"
        }
      ]
    };
  },
  created() {
    this.searchList();
  },
  methods: {
    // 搜索
    searchList() {
      this.searchForm.page = 1;
      this.getList();
    },
    // 页码改变
    pageChange(page) {
      this.searchForm.page = page;
      this.getList();
    },
    // 每页显示数量改变
    pageSizeChange(size) {
      this.searchForm.size = size;
      this.searchForm.page = 1;
      this.getList();
    },
    // 获取列表
    getList() {
      return;
      region_list_qy({
        page: this.searchForm.page,
        size: this.searchForm.size,
        regionName: this.searchForm.regionName
      }).then((data) => {
        if (data.code === 0) {
          this.searchForm.list = data.obj.data;
          this.searchForm.total = data.obj.total;
        } else {
          this.$Message.error(data.msg);
        }
      });
    }
  }
};
</script>

<style lang="less" scoped>
.search_header {
  display: flex;
  align-items: center;
  margin: 16px 16px;
}
.view_title {
  margin-bottom: 16px;
  font-size: 18px;
  font-weight: bold;
  text-align: center;
}
</style>
